# Generated by Django 4.1.7 on 2023-03-05 17:12

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import streetwise.blocks
import wagtail.fields
import wagtail_block_model_field.fields
import wagtail_switch_block.blocks


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('media_catalogue', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='MapView',
            fields=[
                ('mediaitem_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='media_catalogue.mediaitem')),
                ('longitude', models.DecimalField(decimal_places=12, default=-0.09, max_digits=15, verbose_name='Longitude')),
                ('latitude', models.DecimalField(decimal_places=12, default=51.505, max_digits=15, verbose_name='Latitude')),
                ('zoom_level', models.IntegerField(default=13, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(18)], verbose_name='Zoom Level')),
                ('annotations', wagtail.fields.StreamField([('point_of_interest', streetwise.blocks.PointOfInterestBlock(label='Point of Interest'))], blank=True, default={}, null=True, use_json_field=True)),
                ('viewer', wagtail_block_model_field.fields.BlockModelField(streetwise.blocks.MapViewerBlock(), wagtail_switch_block.blocks.SwitchValue)),
            ],
            options={
                'verbose_name': 'Map View',
                'verbose_name_plural': 'Map Views',
            },
            bases=('media_catalogue.mediaitem',),
        ),
    ]
